/*
 * Ring buffer character device
 *
 * Copyright (C) 2016  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#define pr_fmt(fmt) "ringdev: " fmt
#include <linux/kernel.h>
#include <linux/module.h>

static int __init ringdev_init(void)
{
	pr_info("Hello world!\n");
	return 0;
}

static void __exit ringdev_exit(void)
{
}

module_init(ringdev_init);
module_exit(ringdev_exit);

MODULE_DESCRIPTION("Ring buffer device");
MODULE_AUTHOR("Krzysztof Mazur <krzysiek@podlesie.net>");
MODULE_LICENSE("GPL");
